Subject: [Roll] roll-08 multicast section

From: "Samita Chakrabarti" <[email-masked]>
Date: Thu, 3 Jun 2010 18:52:12 -0700

Hi JP,

I reviewed the multicast section and  it is much clearer now from  the
previous version.

A few comments/questions:

a.      It might be useful to have a few words stating whether this solution
would work in a large LLN - I,e when the members of multicast group is
spread across the large LLN

b.      The section says that the router 'should prune' duplicate
registration messages (DAO) - but it does not say more detail about it  -I,e
is it up to the implementation that pruning would be done based  on some
rules?

c.      Is multicast support  mandatory if someone implements the RPL draft?
- if not, is it okay to simulate multicast packet distribution using unicast
messaging in a small/simple LLN ?

Thanks,

-Samita